Create a task
curl --request POST \
--url https://api.failfast.ai/task/task/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"status": "<string>",
"start": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"priority": -1,
"recurrence_rule": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"assigned_to_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/task/task/"
payload = {
"title": "<string>",
"description": "<string>",
"status": "<string>",
"start": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": None,
"priority": -1,
"recurrence_rule": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"assigned_to_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
status: '<string>',
start: '2023-11-07T05:31:56Z',
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
record_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: null,
priority: -1,
recurrence_rule: '<string>',
expiry: '2023-11-07T05:31:56Z',
completed_at: '2023-11-07T05:31:56Z',
assigned_to_user: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/task/task/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"start": "2023-11-07T05:31:56Z",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"priority": -1,
"recurrence_rule": "<string>",
"expiry": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"assigned_to_user": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tasks and calendar
Create a task
Create a new record with optional child records.
POST
/
task
/
task
/
Create a task
Authorizations
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
Required range:
-32768 <= x <= 32767Maximum string length:
255⌘I

